Source: node-miller-rabin
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Bastien Roucariès <rouca@debian.org>
Section: javascript
Priority: optional
Testsuite: autopkgtest-pkg-nodejs
Build-Depends: debhelper-compat (= 13),
               dh-sequence-nodejs,
               mocha <!nocheck>,
               node-brorand <!nocheck>,
               node-bn.js <!nocheck>,
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/js-team/node-miller-rabin
Vcs-Git: https://salsa.debian.org/js-team/node-miller-rabin.git
Homepage: https://github.com/indutny/miller-rabin
Rules-Requires-Root: no

Package: node-miller-rabin
Architecture: all
Depends: ${misc:Depends},
         node-brorand,
         node-bn.js,
         nodejs:any
Description: Miller Rabin algorithm for primality test
 This a pure javascript implementation of Miller Rabin primality test.
 .
 The Miller–Rabin primality test or Rabin–Miller primality test is a
 primality test: an algorithm which determines whether a given number
 is prime.
 .
 Like the Fermat and Solovay–Strassen tests, the Miller–Rabin test
 relies on an equality or set of equalities that hold true for prime
 values, then checks whether or not they hold for a number that is
 tested for primality.
 .
 Node.js is an event-based server-side JavaScript engine.
